package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.PACKAGE })
public @interface XmlSchema {
    public static final String NO_LOCATION = "##generate";
    
    public abstract XmlNs[] xmlns() default {};
    
    public abstract String namespace() default "";
    
    public abstract XmlNsForm elementFormDefault() default XmlNsForm.UNSET;
    
    public abstract XmlNsForm attributeFormDefault() default XmlNsForm.UNSET;
    
    public abstract String location() default "##generate";
}
